---
updatedAt: 2026-09-29T09:46:32.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get company tax check results

# Overview

Use this method to get the [company tax check](https://docs.sumsub.com/sumsub/docs/how-business-verification-works#company-tax-check) results after the company applicant has been reviewed.

## Required permissions

To use this method, your [app token](https://docs.sumsub.com/sumsub/docs/app-tokens) must have the **View check results** [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions).

# Request example

```curl
curl -X GET \
     'https://api.sumsub.com/resources/checks/latest?applicantId=63e096c51b6b4030f2e00000&type=COMPANY_TAX' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>'
```

# Response explained

The response represents a list of `checks` with the company tax check results. All attributes below are nullable.

## `checks` element fields

| Name         | Type             | Description                                                                                                                                                                                                                                                                                                                                               |
| ------------ | ---------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `answer`     | String           | <p>Check answer.</p><ul><li><code>GREEN</code> — the check was successful.</li><li><code>RED</code> — the check failed due to violations found.</li></ul>                                                                                                                                                                                                 |
| `checkType`  | String           | Always `COMPANY_TAX`. Indicates that the check relies upon the company tax identification number.                                                                                                                                                                                                                                                         |
| `createdAt`  | Date             | Date and time of the latest company tax check result, in the format `YYYY-MM-DD hh:mm:ss` (for example, `2022-04-05 17:12:31`).                                                                                                                                                                                                                           |
| `violations` | Array of strings | <p>Returned when <code>answer</code> is <code>RED</code>. Specifies the reason(s) why the check failed.</p><ul><li><code>TIN\_MISMATCH</code> — the provided tax identification number does not match official records.</li><li><code>INVALID\_DOC\_NUMBER</code> — an invalid or incorrectly formatted tax identification number was provided.</li></ul> |

# Response examples

If the request is successfully sent and processed, you will get a response like one of the following:

```json GREEN
// The check was successful.

{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "COMPANY_TAX",
      "createdAt": "2026-01-01 00:00:00"
    }
  ]
}
```
```json RED
// The check failed due to violations found.

{
  "checks": [
    {
      "answer": "RED",
      "checkType": "COMPANY_TAX",
      "createdAt": "2026-01-01 00:00:00",
      "violations": [
        "TIN_MISMATCH"
      ]
    }
  ]
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "code": 400,
  "correlationId": "49570045bc3f099789516f859b41ef16",
  "description": "Invalid id '123456789'"
}
```

An empty `checks` array indicates that the tax check was not performed for the company applicant.

```json
{
  "checks": []
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/checks/latest?type=COMPANY_TAX": {
      "get": {
        "description": "",
        "responses": {
          "200": {
            "description": ""
          }
        },
        "parameters": [
          {
            "in": "query",
            "name": "applicantId",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Unique identifier of the company applicant in the Sumsub system. <br><br>This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side, and can be found in the [Dashboard](https://cockpit.sumsub.com/checkus/#/applicants/company?limit=10&page=0). <br><br>If the `applicantId` is unknown to you, use the [Get applicant data (externalUserId)](https://docs.sumsub.com/sumsub/reference/get-applicant-data-via-externaluserid) method to fetch it."
          }
        ],
        "operationId": "get_resources-checks-latest-type-company-tax",
        "summary": "Get company tax check results"
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```